<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: menu_admin.php
| Author : Smokeman
| Email: smokeman@esenet.dk
| Web: http://www.phpfusion-tips.dk/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."deluxe_dropdown_menu/infusion_db.php";

if (!checkrights("DDM") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."deluxe_dropdown_menu/locale/".$settings['locale'].".php")) {
	include INFUSIONS."deluxe_dropdown_menu/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."deluxe_dropdown_menu/locale/English.php";
}

opentable($locale['DDM002']);
//  ============================== Pagenum ============================== //
  $pagenum = (isset($_REQUEST['pagenum']) && isnum($_REQUEST['pagenum'])) ? $_REQUEST['pagenum'] : "";

//  ============================== Scroll To Top ============================== //
  echo "<a name='top'></a>\n";

//  ============================== Outer Table Start ============================== //
  echo "<table align='center' cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n<tr>\n";
	echo "<td align='center' class='".($pagenum == 1 ? "tbl1" : "tbl2")."'><span class='small'>\n";
	echo ($pagenum == 1 ? "<b>".$locale['DDM010']."</b>" : "<a href='".FUSION_SELF.$aidlink."&amp;pagenum=1'>".$locale['DDM010']."</a>")."</span></td>\n";
	echo "<td align='center' class='".($pagenum == 2 ? "tbl1" : "tbl2")."'><span class='small'>\n";
	echo ($pagenum == 2 ? "<b>".$locale['DDM011']."</b>" : "<a href='".FUSION_SELF.$aidlink."&amp;pagenum=2'>".$locale['DDM011']."</a>")."</span></td>\n";
	echo "<td align='center' class='".($pagenum == 3 ? "tbl1" : "tbl2")."'><span class='small'>\n";
	echo ($pagenum == 3 ? "<b>".$locale['DDM012']."</b>" : "<a href='".FUSION_SELF.$aidlink."&amp;pagenum=3'>".$locale['DDM012']."</a>")."</span></td>\n";
	echo "<td align='center' class='".($pagenum == 4 ? "tbl1" : "tbl2")."'><span class='small'>\n";
	echo ($pagenum == 4 ? "<b>".$locale['DDM013']."</b>" : "<a href='".FUSION_SELF.$aidlink."&amp;pagenum=4'>".$locale['DDM013']."</a>")."</span></td>\n";
	echo "<td align='center' class='".($pagenum == 5 ? "tbl1" : "tbl2")."'><span class='small'>\n";
	echo ($pagenum == 5 ? "<b>".$locale['DDM014']."</b>" : "<a href='".FUSION_SELF.$aidlink."&amp;pagenum=5'>".$locale['DDM014']."</a>")."</span></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td colspan='5' class='tbl1'>\n";

	$action = isset($_REQUEST['action']) ? $_REQUEST['action'] : "";
	$menu_access = isset($_REQUEST['menu_access']) ? $_REQUEST['menu_access'] : "";
	$cat = isset($_REQUEST['cat']) ? $_REQUEST['cat'] : "";
	$name = isset($_REQUEST['name']) ? $_REQUEST['name'] : "";
	$order = isset($_REQUEST['order']) ? $_REQUEST['order'] : "";
	$newid = isset($_REQUEST['newid']) ? $_REQUEST['newid'] : "";
	$id = (isset($_REQUEST['id']) && isnum($_REQUEST['id'])) ? $_REQUEST['id'] : "";
	$menu_window = ($data['menu_window']=="1" ? " checked='checked'" : "");

//  ============================== Status Messages ============================== //
if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "sn") {
		$message = $locale['DDM130'];
	} elseif ($_GET['status'] == "mu") {
		$message = $locale['DDM131'];
	} elseif ($_GET['status'] == "del") {
		$message = $locale['DDM132'];
	} elseif ($_GET['status'] == "error") {
		$message = $locale['DDM133'];
	} elseif ($_GET['status'] == "tsu") {
		$message = $locale['DDM134'];
  } elseif ($_GET['status'] == "udtu") {
		$message = $locale['DDM135'];
  } elseif ($_GET['status'] == "ptu") {
		$message = $locale['DDM136'];
  } elseif ($_GET['status'] == "ou") {
		$message = $locale['DDM137'];
  }
  
	if ($message) {	echo "<div id='close-message'><div class='status-message'><img src='".INFUSIONS."deluxe_dropdown_menu/images/status.png' alt='' />&nbsp;<b>Info:</b>&nbsp;".$message."</div></div>\n"; }
}

//  ============================== CSS For The Status Messages ============================== //
add_to_head("<style type='text/css'>
.status-message {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	text-align: center;
	font-size: 11px;
	color: #555;
	background-color: #F9F9F9;
	border: 1px solid #AAA;
	padding: 3px 4px 2px 4px;
	margin-bottom: 5px;
}
</style>");

//  ============================== Index Page ============================== //
if (!isset($_GET['pagenum'])) {
  echo "<div align='left'><b><u>".$locale['DDM020']."</u></b><br /><br />
        ".$locale['DDM021']."<br /><br />
        ".$locale['DDM022']."<br /><br />
        ".$locale['DDM023']."<br /><br />
        <b><u>".$locale['DDM024']."</u></b></div>\n";
  echo "<div align='center'><img src='".INFUSIONS."deluxe_dropdown_menu/images/example.png' alt='' /></div>\n";
}

//   PAGE 1  //
if ((isset($_GET['pagenum']) && $_GET['pagenum'] == "1")) {
//  ============================== Refresh ============================== //
	if (isset($_GET['action']) && $_GET['action'] == "refresh") {
    $i = 1;
    $result = dbquery("SELECT * FROM ".DB_MENUS." ORDER BY menu_cat ASC, menu_order ASC");
    while ($data = dbarray($result)) {
        $result2 = dbquery("UPDATE ".DB_MENUS." SET menu_order='$i' WHERE menu_id='".$data['menu_id']."'");
        $i++;
    }
    redirect(FUSION_SELF.$aidlink."&amp;pagenum=1&amp;status=ou");
	}

//  ============================== Move up ============================== //
if ((isset($_GET['action']) && $_GET['action'] == "moveup")) {
	$data = dbarray(dbquery("SELECT * FROM ".DB_MENUS." WHERE menu_cat='$cat' AND menu_order='".$_GET['order']."'"));
	$result = dbquery("UPDATE ".DB_MENUS." SET menu_order=menu_order+1 WHERE menu_id='".$data['menu_id']."'");
	$result = dbquery("UPDATE ".DB_MENUS." SET menu_order=menu_order-1 WHERE menu_id='$id'");
}

//  ============================== Move down ============================== //
if ((isset($_GET['action']) && $_GET['action'] == "movedown")) {
	$data = dbarray(dbquery("SELECT * FROM ".DB_MENUS." WHERE menu_cat='$cat' AND menu_order='".$_GET['order']."'"));
	$result = dbquery("UPDATE ".DB_MENUS." SET menu_order=menu_order-1 WHERE menu_id='".$data['menu_id']."'");
	$result = dbquery("UPDATE ".DB_MENUS." SET menu_order=menu_order+1 WHERE menu_id='$id'");
}

//  ============================== Addtop ============================== //
if ((isset($_GET['action']) && $_GET['action'] == "addtop")) {
  $menu_cat = isset($_REQUEST['menu_cat']) ? $_REQUEST['menu_cat'] : "";
  $menu_name = isset($_REQUEST['menu_name']) ? $_REQUEST['menu_name'] : "";
  $menu_link = isset($_REQUEST['menu_link']) ? $_REQUEST['menu_link'] : "";
  $menu_order = isset($_REQUEST['menu_order']) ? $_REQUEST['menu_order'] : "";
	$bbcodes = "b|i|u|img|color";
	$inputname = "insert";
	$formname = "addtop";
  $formaction = FUSION_SELF.$aidlink."&amp;action=insert&amp;pagenum=1";
  opentable($locale['DDM047']);
} else

//  ============================== Add ============================== //
if ((isset($_GET['action']) && $_GET['action'] == "add")) {
  $menu_cat = isset($_REQUEST['menu_cat']) ? $_REQUEST['menu_cat'] : "";
  $menu_name = isset($_REQUEST['menu_name']) ? $_REQUEST['menu_name'] : "";
  $menu_link = isset($_REQUEST['menu_link']) ? $_REQUEST['menu_link'] : "";
  $menu_order = isset($_REQUEST['menu_order']) ? $_REQUEST['menu_order'] : "";
	$bbcodes = "b|i|u|left|center|right|img|color";
	$inputname = "insert";
	$formname = "addmenu";
	$formaction = FUSION_SELF.$aidlink."&amp;action=insert&amp;pagenum=1";
	opentable($locale['DDM047']);
} else

//  ============================== Edittop ============================== //
if ((isset($_GET['action']) && $_GET['action'] == "edittop")) {
  $result = dbquery("SELECT * FROM ".DB_MENUS." WHERE menu_id='".$id."'");
  $data = dbarray($result);
  $menu_cat = $data['menu_cat'];
  $menu_name = $data['menu_name'];
  $menu_link = $data['menu_link'];
  $menu_order = $data['menu_order'];
  $menu_access = $data['menu_access'];
  $menu_window = ($data['menu_window']=="1" ? " checked='checked'" : "");
	$bbcodes = "b|i|u|img|color";
	$inputname = "update";
	$formname = "edittop";
	$formaction = FUSION_SELF.$aidlink."&amp;action=update&amp;pagenum=1";
	opentable($locale['DDM048']);
} else

//  ============================== Edit ============================== //
if ((isset($_GET['action']) && $_GET['action'] == "edit")) {
  $result = dbquery("SELECT * FROM ".DB_MENUS." WHERE menu_id='".$id."'");
  $data = dbarray($result);
  $menu_cat = $data['menu_cat'];
  $menu_name = $data['menu_name'];
  $menu_link = $data['menu_link'];
  $menu_order = $data['menu_order'];
  $menu_access = $data['menu_access'];
  $menu_window = ($data['menu_window']=="1" ? " checked='checked'" : "");
	$bbcodes = "b|i|u|left|center|right|img|color";
	$inputname = "update";
	$formname = "edit";
	$formaction = FUSION_SELF.$aidlink."&amp;action=update&amp;pagenum=1";
	opentable($locale['DDM048']);
}

//  ============================== Access ============================== //
	$access_opts = ""; $sel = "";
  $user_groups = getusergroups();
  while(list($key, $user_group) = each($user_groups)) {
    $sel = ($menu_access == $user_group['0'] ? " selected" : "");
    $access_opts .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>\n";
  }

//  ============================== The Form ============================== //
if ((isset($_GET['action']) && $_GET['action'] == "addtop") || (isset($_GET['action']) && $_GET['action'] == "add") || (isset($_GET['action']) && $_GET['action'] == "edittop") || (isset($_GET['action']) && $_GET['action'] == "edit")) {
  require_once INCLUDES."bbcode_include.php";
  echo "<form name='".$formname."' method='post' action='".$formaction."'>\n";
  echo "<table cellpadding='0' cellspacing='0' class='center'>\n<tr>\n";
  echo "<td class='tbl'>".$locale['DDM049']."</td>\n";
  echo "<td class='tbl'><input type='text' name='menu_name' value='".$menu_name."' maxlength='100' class='textbox' style='width:240px;' /><br /></td>\n";
  echo "</tr>\n<tr>\n";
  echo "<td class='tbl'></td>\n";
  echo "<td class='tbl'>".display_bbcodes("240px;", "menu_name", "$formname", "$bbcodes")."\n</td>\n";
  echo "</tr>\n<tr>\n";
  echo "<td class='tbl'>".$locale['DDM050']."</td>\n";
  echo "<td class='tbl'><input type='text' name='menu_link' value='$menu_link' maxlength='200' class='textbox' style='width:240px;' /></td>\n";
  echo "</tr>\n<tr>\n";
  echo "<td class='tbl'>".$locale['DDM051']."</td>\n";
  echo "<td class='tbl'><select name='menu_access' class='textbox' style='width:150px;'>\n".$access_opts."</select></td>\n";
  if ((isset($_GET['action']) && $_GET['action'] == "edit") || (isset($_GET['action']) && $_GET['action'] == "edittop")) {
    echo "</tr>\n<tr>\n";
    echo "<td class='tbl'>".$locale['DDM052']."&nbsp;</td>\n";
    echo "<td class='tbl'><input type='text' name='menu_cat'  value='$menu_cat' maxlength='3' class='textbox' style='width:40px;' /></td>\n";
    echo "</tr>\n<tr>\n";
    echo "<td class='tbl'>".$locale['DDM053']."</td>\n";
    echo "<td class='tbl'><input type='text' name='menu_order'  value='$menu_order' maxlength='3' class='textbox' style='width:40px;' /></td>\n";
  }
  echo "</tr>\n<tr>\n";
  echo "<td class='tbl'></td>\n";
  echo "<td class='tbl'><label><input type='checkbox' name='menu_window' value='1'".$menu_window." />".$locale['DDM054']."</label></td>\n";
  echo "</tr>\n<tr>\n";
  echo "<td class='tbl'></td>\n";
  if ((isset($_GET['action']) && $_GET['action'] == "add") || (isset($_GET['action']) && $_GET['action'] == "addtop")) {
  echo "<input type='hidden' name='menu_order' value='$newid' />\n";
  echo "<input type='hidden' name='menu_cat' value='$cat' />\n";
  }
  if ((isset($_GET['action']) && $_GET['action'] == "edit") || (isset($_GET['action']) && $_GET['action'] == "edittop")) {
    echo "<input type='hidden' name='menu_id' value='$id'>\n";
  }
  echo "</tr>\n<tr>\n";
  echo "<td align='center' colspan='2' class='tbl'>\n";
  echo "<input type='submit' name='".$inputname."' value='".$locale['DDM055']."' class='button' /></td>\n";
  echo "</tr>\n</table>\n";
  echo "</form>\n";
  closetable();
}

//  ============================== Insert ============================== //
if ((isset($_GET['action']) && $_GET['action'] == "insert")) {
  $menu_name = stripinput($_POST['menu_name']);
  $menu_link = stripinput($_POST['menu_link']);
  $menu_cat = $_POST['menu_cat'];
  $menu_order = $_POST['menu_order'];
  $menu_access = $_POST['menu_access'];
  $menu_window = isset($_POST['menu_window']) ? $_POST['menu_window'] : "0";
  $result = dbquery("INSERT INTO ".DB_MENUS." VALUES('', '$menu_cat', '$menu_name', '$menu_order', '$menu_link', '$menu_access', '$menu_window')");
	redirect(FUSION_SELF.$aidlink."&amp;pagenum=1&amp;status=sn");
}

//  ============================== Update ============================== //
if ((isset($_GET['action']) && $_GET['action'] == "update")) {
  $menu_id = $_POST['menu_id'];
  $menu_name = stripinput($_POST['menu_name']);
  $menu_link = stripinput($_POST['menu_link']);
  $menu_cat = $_POST['menu_cat'];
  $menu_order = $_POST['menu_order'];
  $menu_access = $_POST['menu_access'];
  $menu_window = isset($_REQUEST['menu_window']) ? $_REQUEST['menu_window'] : "";
  $result = dbquery("UPDATE ".DB_MENUS." SET menu_name='$menu_name', menu_cat='$menu_cat', menu_order='$menu_order', menu_link='$menu_link', menu_access='$menu_access', menu_window='$menu_window' WHERE menu_id='$menu_id'");
	redirect(FUSION_SELF.$aidlink."&amp;pagenum=1&amp;status=mu");
}

//  ============================== Delete ============================== //
if ((isset($_GET['action']) && $_GET['action'] == "delete")) {
    if (dbcount("(*)", DB_MENUS, "menu_cat='".$id."'") == "0") {
      $data = dbarray(dbquery("SELECT menu_order FROM ".DB_MENUS." WHERE menu_id='".$id."'"));
      $result = dbquery("UPDATE ".DB_MENUS." SET menu_order=menu_order-1 WHERE menu_order>'".$data['menu_order']."'");
      $result = dbquery("DELETE FROM ".DB_MENUS." WHERE menu_id='".$id."'");
      redirect(FUSION_SELF.$aidlink."&amp;pagenum=1&amp;status=del");
    } else {
      redirect(FUSION_SELF.$aidlink."&amp;pagenum=1&amp;status=error");
    }
}

//  ============================== Layout ============================== //
	echo "<div><b><u>".$locale['DDM030']."</u></b><br /><br />".$locale['DDM031']."<br /><br /></div>\n";
	echo "<center>[<a href='".FUSION_SELF.$aidlink."&amp;action=refresh&amp;pagenum=1'>".$locale['DDM032']."</a>]</center>\n";

	echo "<table cellspacing='1' cellpadding='0' class='tbl-border' align='center'>\n
	<tr>\n
    <td class='tbl2' width='27%'><b>".$locale['DDM033']."</b></td>\n
    <td class='tbl2' width='28%'><b>".$locale['DDM034']."</b></td>\n
    <td class='tbl2' width='11%' align='center'><b>".$locale['DDM035']."</b></td>\n
    <td class='tbl2' width='6%' align='center'><b>".$locale['DDM036']."</b></td>\n
    <td class='tbl2' width='12%' align='center'><b>".$locale['DDM037']."</b></td>\n
    <td class='tbl2' width='16%' align='center'><b>".$locale['DDM038']."</b></td>\n
	</tr>\n";

//  ============================== Main Category Start ============================== //
	$msql = dbquery("SELECT * FROM ".DB_MENUS." WHERE menu_cat='0' ORDER BY menu_order");
	$numrows = dbrows($msql);
	$max_menu_order = dbarray(dbquery("SELECT menu_order FROM ".DB_MENUS." ORDER BY menu_order DESC LIMIT 0,1"));
	echo "
	<tr>\n
    <td class='tbl2'><b>".$locale['DDM039']."</b></td>\n
    <td class='tbl2'></td>\n
    <td class='tbl2'></td>\n
    <td class='tbl2'></td>\n
    <td class='tbl2'></td>\n
    <td class='tbl2' align='center'><a href='".FUSION_SELF.$aidlink."&amp;action=addtop&amp;pagenum=1&amp;cat=0&amp;newid=".($max_menu_order['menu_order'] + 1)."'>".$locale['DDM040']."</a></td>\n
  </tr>\n";
    if ($numrows != 0) {
      $i = 1;
      while ($mdata = dbarray($msql)) {
        echo "
          <tr>\n
            <td class='tbl1'><font color='#009900'><b>".parseubb($mdata['menu_name'], "b|i|u|img|color")."</b></font></td>\n
            <td class='tbl1'>".$mdata['menu_link']."</td>
            <td class='tbl1' align='center'>".getgroupname($mdata['menu_access'])."</td>\n
            <td class='tbl1' align='center'>".$mdata['menu_cat']."</td>\n
            <td class='tbl1' align='center'>".$mdata['menu_order']."&nbsp;";
            $up = $mdata['menu_order'] - 1;
            $down = $mdata['menu_order'] + 1;
              if ($i == 1) {
                if ($numrows > 1) {
                  echo "<a href='".FUSION_SELF.$aidlink."&amp;action=movedown&amp;pagenum=1&amp;order=$down&amp;id=".$mdata['menu_id']."&amp;cat=".$mdata['menu_cat']."'><img src='".THEME."images/down.gif' style='border:0px;' alt='' /></a>\n";
                }
              } else if ($i > 1) {
                if ($numrows > $i) {
                  echo "<a href='".FUSION_SELF.$aidlink."&amp;action=moveup&amp;pagenum=1&amp;order=$up&amp;id=".$mdata['menu_id']."&amp;cat=".$mdata['menu_cat']."'><img src='".THEME."images/up.gif' style='border:0px;' alt='' /></a><a href='".FUSION_SELF.$aidlink."&amp;action=movedown&amp;pagenum=1&amp;order=$down&amp;id=".$mdata['menu_id']."&amp;cat=".$mdata['menu_cat']."'><img src='".THEME."images/down.gif' style='border:0px;' alt='' /></a>";
                } else if ($numrows = $i) {
                  echo "<a href='".FUSION_SELF.$aidlink."&amp;action=moveup&amp;pagenum=1&amp;order=$up&amp;id=".$mdata['menu_id']."&amp;cat=".$mdata['menu_cat']."'><img src='".THEME."images/up.gif' style='border:0px;' alt='' /></a>";
                }
              }
        echo "
            </td>\n
            <td class='tbl1' align='center'>
              <a href='".FUSION_SELF.$aidlink."&amp;action=edittop&amp;pagenum=1&amp;id=".$mdata['menu_id']."'>".$locale['DDM041']."</a> -
              <a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;pagenum=1&amp;id=".$mdata['menu_id']."' onclick=\"return confirm('".$locale['DDM044']."');\">".$locale['DDM042']."</a><br />
              <a href='".FUSION_SELF.$aidlink."&amp;action=add&amp;pagenum=1&amp;cat=".$mdata['menu_id']."&amp;newid=".($max_menu_order['menu_order'] + 1)."'>".$locale['DDM043']."</a>
            </td>\n
          </tr>";

//  ============================== Sub Category 1 Start ============================== //
	$msql2 = dbquery("SELECT * FROM ".DB_MENUS." WHERE menu_cat='".$mdata['menu_id']."' ORDER BY menu_order");
  $numrows2 = dbrows($msql2);
    if ($numrows2 != 0) {
      $j = 1;
      while ($mdata2 = dbarray($msql2)) {
        echo "
          <tr>\n
            <td class='tbl2'><img src='".INFUSIONS."deluxe_dropdown_menu/images/spacer.png' style='width:5px' alt='' /><font color='#1B76B6'><b>&middot; ".parseubb($mdata2['menu_name'], "b|i|u|left|center|right|img|color")."</b></font></td>\n
            <td class='tbl2'>".$mdata2['menu_link']."</td>\n
            <td class='tbl2' align='center'>".getgroupname($mdata2['menu_access'])."</td>\n
            <td class='tbl2' align='center'>".$mdata2['menu_cat']."</td>\n
            <td class='tbl2' align='center'>".$mdata2['menu_order']."&nbsp;";
            $up = $mdata2['menu_order'] - 1;
            $down = $mdata2['menu_order'] + 1;
              if ($j == 1) {
                if ($numrows2 > 1) {
                  echo "<a href='".FUSION_SELF.$aidlink."&amp;action=movedown&amp;pagenum=1&amp;order=$down&amp;id=".$mdata2['menu_id']."&amp;cat=".$mdata2['menu_cat']."'><img src='".THEME."images/down.gif' style='border:0px;' alt='' /></a>";
                }
              } else if ($j > 1) {
                if ($numrows2 > $j) {
                  echo "<a href='".FUSION_SELF.$aidlink."&amp;action=moveup&amp;pagenum=1&amp;order=$up&amp;id=".$mdata2['menu_id']."&amp;cat=".$mdata2['menu_cat']."'><img src='".THEME."images/up.gif' style='border:0px;' alt='' /></a><a href='".FUSION_SELF.$aidlink."&amp;action=movedown&amp;pagenum=1&amp;order=$down&amp;id=".$mdata2['menu_id']."&amp;cat=".$mdata2['menu_cat']."'><img src='".THEME."images/down.gif' style='border:0px;' alt='' /></a>";
                } else if ($numrows2 = $j) {
                  echo "<a href='".FUSION_SELF.$aidlink."&amp;action=moveup&amp;pagenum=1&amp;order=$up&amp;id=".$mdata2['menu_id']."&amp;cat=".$mdata2['menu_cat']."'><img src='".THEME."images/up.gif' style='border:0px;' alt='' /></a>";
                }
              }
        echo "
            </td>\n
            <td class='tbl2' align='center'>
              <a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;pagenum=1&amp;id=".$mdata2['menu_id']."'>".$locale['DDM041']."</a> -
              <a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;pagenum=1&amp;id=".$mdata2['menu_id']."' onclick=\"return confirm('".$locale['DDM044']."');\">".$locale['DDM042']."</a><br />
              <a href='".FUSION_SELF.$aidlink."&amp;action=add&amp;pagenum=1&amp;cat=".$mdata2['menu_id']."&amp;newid=".($max_menu_order['menu_order'] + 1)."'>".$locale['DDM043']."</a></td>\n
          </tr>\n";
	
//  ============================== Sub Category 2 Start ============================== //
	$msql3 = dbquery("SELECT * FROM ".DB_MENUS." WHERE menu_cat='".$mdata2['menu_id']."' ORDER BY menu_order");
  $numrows3 = dbrows($msql3);
    if ($numrows3 != 0) {
      $k = 1;
      while ($mdata3 = dbarray($msql3)) {
        echo "
          <tr>\n
            <td class='tbl2'><img src='".INFUSIONS."deluxe_dropdown_menu/images/spacer.png' style='width:10px' alt='' /><font color='#E52626'><b>&middot; ".parseubb($mdata3['menu_name'], "b|i|u|left|center|right|img|color")."</b></font></td>\n
            <td class='tbl2'>".$mdata3['menu_link']."</td>\n
            <td class='tbl2' align='center'>".getgroupname($mdata3['menu_access'])."</td>\n
            <td class='tbl2' align='center'>".$mdata3['menu_cat']."</td>\n
            <td class='tbl2' align='center'>".$mdata3['menu_order']."&nbsp;";
            $up = $mdata3['menu_order'] - 1;
            $down = $mdata3['menu_order'] + 1;
              if ($k == 1) {
                if ($numrows3 > 1) {
                  echo "<a href='".FUSION_SELF.$aidlink."&amp;action=movedown&amp;pagenum=1&amp;order=$down&amp;id=".$mdata3['menu_id']."&amp;cat=".$mdata3['menu_cat']."'><img src='".THEME."images/down.gif' style='border:0px;' alt='' /></a>";
                }
              } else if ($k > 1) {
                if ($numrows3 > $k) {
                  echo "<a href='".FUSION_SELF.$aidlink."&amp;action=moveup&amp;pagenum=1&amp;order=$up&amp;id=".$mdata3['menu_id']."&amp;cat=".$mdata3['menu_cat']."'><img src='".THEME."images/up.gif' style='border:0px;' alt='' /></a><a href='".FUSION_SELF.$aidlink."&amp;action=movedown&amp;pagenum=1&amp;order=$down&amp;id=".$mdata3['menu_id']."&amp;cat=".$mdata3['menu_cat']."'><img src='".THEME."images/down.gif' style='border:0px;' alt='' /></a>";
                } else if ($numrows3 = $k) {
                  echo "<a href='".FUSION_SELF.$aidlink."&amp;action=moveup&amp;pagenum=1&amp;order=$up&amp;id=".$mdata3['menu_id']."&amp;cat=".$mdata3['menu_cat']."'><img src='".THEME."images/up.gif' style='border:0px;' alt='' /></a>";
                }
              }
        echo "
            </td>\n
            <td class='tbl2' align='center'>
              <a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;pagenum=1&amp;id=".$mdata3['menu_id']."'>".$locale['DDM041']."</a> -
              <a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;pagenum=1&amp;id=".$mdata3['menu_id']."' onclick=\"return confirm('".$locale['DDM044']."');\">".$locale['DDM042']."</a><br />
              <a href='".FUSION_SELF.$aidlink."&amp;action=add&amp;pagenum=1&amp;cat=".$mdata3['menu_id']."&amp;newid=".($max_menu_order['menu_order'] + 1)."'>".$locale['DDM043']."</a></td>\n
          </tr>\n";

//  ============================== Sub Category 3 Start ============================== //
	$msql4 = dbquery("SELECT * FROM ".DB_MENUS." WHERE menu_cat='".$mdata3['menu_id']."' ORDER BY menu_order");
  $numrows4 = dbrows($msql4);
    if ($numrows4 != 0) {
      $l = 1;
      while ($mdata4 = dbarray($msql4)) {
        echo "
          <tr>\n
            <td class='tbl2'><img src='".INFUSIONS."deluxe_dropdown_menu/images/spacer.png' style='width:15px' alt='' /><font color='#FF7800'><b>&middot; ".parseubb($mdata4['menu_name'], "b|i|u|left|center|right|img|color")."</b></font></td>\n
            <td class='tbl2'>".$mdata4['menu_link']."</td>\n
            <td class='tbl2' align='center'>".getgroupname($mdata4['menu_access'])."</td>\n
            <td class='tbl2' align='center'>".$mdata4['menu_cat']."</td>\n
            <td class='tbl2' align='center'>".$mdata4['menu_order']."&nbsp;";
            $up = $mdata4['menu_order'] - 1;
            $down = $mdata4['menu_order'] + 1;
              if ($l == 1) {
                if ($numrows4 > 1) {
                  echo "<a href='".FUSION_SELF.$aidlink."&amp;action=movedown&amp;pagenum=1&amp;order=$down&amp;id=".$mdata4['menu_id']."&amp;cat=".$mdata4['menu_cat']."'><img src='".THEME."images/down.gif' style='border:0px;' alt='' /></a>";
                }
              } else if ($l > 1) {
                if ($numrows4 > $l) {
                  echo "<a href='".FUSION_SELF.$aidlink."&amp;action=moveup&amp;pagenum=1&amp;order=$up&amp;id=".$mdata4['menu_id']."&amp;cat=".$mdata4['menu_cat']."'><img src='".THEME."images/up.gif' style='border:0px;' alt='' /></a><a href='".FUSION_SELF.$aidlink."&amp;action=movedown&amp;pagenum=1&amp;order=$down&amp;id=".$mdata4['menu_id']."&amp;cat=".$mdata4['menu_cat']."'><img src='".THEME."images/down.gif' style='border:0px;' alt='' /></a>";
                } else if ($numrows4 = $l) {
                  echo "<a href='".FUSION_SELF.$aidlink."&amp;action=moveup&amp;pagenum=1&amp;order=$up&amp;id=".$mdata4['menu_id']."&amp;cat=".$mdata4['menu_cat']."'><img src='".THEME."images/up.gif' style='border:0px;' alt='' /></a>";
                }
              }
        echo "
            </td>\n
            <td class='tbl2' align='center'>
              <a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;pagenum=1&amp;id=".$mdata4['menu_id']."'>".$locale['DDM041']."</a> -
              <a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;pagenum=1&amp;id=".$mdata4['menu_id']."' onclick=\"return confirm('".$locale['DDM044']."');\">".$locale['DDM042']."</a></td>\n
          </tr>\n";

//  ============================== Main Category End ============================== //
	$l++;
}
}

//  ============================== Sub Category 1 End ============================== //
	$k++;
}
}

//  ============================== Sub Category 2 End ============================== //
	$j++;
}
}

//  ============================== Sub Category 3 End ============================== //
  $i++;
}
}

//  ============================== If No Results Above ============================== //
else {
	echo "<div align='center'>".$locale['DDM045']."</div>";
}

echo "
      </td>\n
    </tr>\n
  </table>\n";

//  ============================== Scroll To Top ============================== //
echo "<hr /><div align='right'><a href='#top' title='".$locale['DDM046']."'><b>".$locale['DDM046']."</b>&nbsp;<img src='".INFUSIONS."deluxe_dropdown_menu/images/top.png' style='vertical-align: middle;' alt='".$locale['DDM046']."' title='".$locale['DDM046']."' /></a>\n";

//   PAGE 2  //
} else if ((isset($_GET['pagenum']) && $_GET['pagenum'] == "2")) {
//  ============================== Choose Userdefined Or Pre-Installed Templates ============================== //
  if ((isset($_GET['action']) && $_GET['action'] == "update")) {
    $mset_set_style = isset($_POST['mset_set_style']) ? $_POST['mset_set_style'] : "0";
    $result = dbquery("UPDATE ".DB_MENU_SETTINGS." SET mset_set_style='$mset_set_style'");
    
    $result1 = dbquery("SELECT mset_set_style FROM ".DB_MENU_SETTINGS);
    $data1 = dbarray($result1);

    if ($data1['mset_set_style'] == "0") {
      $style_check0 = " checked='checked'";
      $style_check1 = "";
    } else {
      $style_check0 = "";
      $style_check1 = " checked='checked'";
    }
    redirect(FUSION_SELF.$aidlink."&amp;pagenum=2&amp;status=tsu");
  } else {
  $result1 = dbquery("SELECT mset_set_style FROM ".DB_MENU_SETTINGS);
  $data1 = dbarray($result1);

    if ($data1['mset_set_style'] == "0") {
      $style_check0 = " checked='checked'";
      $style_check1 = "";
    } else {
      $style_check0 = "";
      $style_check1 = " checked='checked'";
    }
  }

  echo "<div><b><u>".$locale['DDM060']."</u></b><br /><br />".$locale['DDM061']."<br /><br /></div>\n
    <form name='choose_style' method='post' action='".FUSION_SELF.$aidlink."&amp;action=update&amp;pagenum=2'>
      <table align='center' cellspacing='0' cellpadding='0' class='tbl'>\n
        <tr>
          <td><label><input type='radio' name='mset_set_style' value='0'".$style_check0." /> ".$locale['DDM062']."</label><br /><br /></td>\n
        <tr>
        <tr>\n
          <td><label><input type='radio' name='mset_set_style' value='1'".$style_check1." /> ".$locale['DDM063']."</label><br /><br /></td>\n
        <tr>
          <td align='center' colspan='2'><input type='submit' name='setmenu' value='".$locale['DDM064']."' class='button'></td>\n
        </tr>\n
      </table>\n
    </form>\n
  ";

//   PAGE 3  //
} else if ((isset($_GET['pagenum']) && $_GET['pagenum'] == "3")) {
//  ============================== Pre-Installed Templates ============================== //
  $menusettings = dbarray(dbquery("SELECT mset_templates FROM ".DB_MENU_SETTINGS));

  function simple_template_exists($menusettings) {
    $menusettings = dbarray(dbquery("SELECT mset_templates FROM ".DB_MENU_SETTINGS));
      if (file_exists(INFUSIONS."deluxe_dropdown_menu/templates/".$menusettings['mset_templates']."/".$menusettings['mset_templates'].".css")) {
        return true;
      }
  }
  
  $template_files = makefilelist(INFUSIONS."deluxe_dropdown_menu/templates/", ".|..|templates", true, "folders");
  natcasesort($template_files);
  $template_files = array_filter($template_files, "simple_template_exists");

  if (isset($_POST['template']) and in_array($_POST['template'], $template_files)) {   
    $result = dbquery("UPDATE ".DB_MENU_SETTINGS." SET mset_templates='".$_POST['template']."'");   
    redirect(FUSION_SELF.$aidlink."&amp;pagenum=3&amp;status=ptu");
  }
  
  echo "<div><b><u>".$locale['DDM070']."</u></b><br /><br />".$locale['DDM071']."<br /><br /></div>\n";
  echo "<form method='post' action='".FUSION_SELF.$aidlink."&amp;pagenum=3&amp;status=ptu' style='text-align:center;'>".$locale['DDM070']."<br />";
  echo "<select id='template' name='template' class='textbox'> ";
  $current_template = $menusettings['mset_templates'];
  foreach ($template_files as $template_element) {
    echo "<option value='".$template_element."' ".($template_element == $current_template ? " selected='selected'" : "").">$template_element</option>\n";
  }
  echo "</select>";
  echo "<input type='submit' class='button' value='Gem' id='template_submit' /></form>";
  echo '<script type="text/javascript">$("#template_submit").hide();$("#template").change(function(){$(this).parent().submit();});</script>';

//   PAGE 4  //
} else if ((isset($_GET['pagenum']) && $_GET['pagenum'] == "4")) {

//  ============================== Userdefined Template ============================== //
  add_to_head("<script type='text/javascript' src='".INFUSIONS."deluxe_dropdown_menu/includes/js/jscolor/jscolor.js'></script>\n");

//  ============================== Userdefined Template ============================== //
if (isset($_POST['savesettings'])) {
	$result = dbquery("UPDATE ".DB_MENU_SETTINGS." SET
  mset_main_img='".stripinput($_POST['main_img'])."',
  mset_main_himg='".stripinput($_POST['main_himg'])."',
  mset_main_arrow_img='".stripinput($_POST['main_arrow_img'])."',
  mset_main_arrow_himg='".stripinput($_POST['main_arrow_himg'])."',
  mset_sub_arrow_img='".stripinput($_POST['sub_arrow_img'])."',
  mset_sub_arrow_himg='".stripinput($_POST['sub_arrow_himg'])."',
	mset_main_bgcolor='".stripinput($_POST['main_bgcolor'])."',
	mset_main_hbgcolor='".stripinput($_POST['main_hbgcolor'])."',
	mset_main_bgcolor_arrow='".stripinput($_POST['main_bgcolor_arrow'])."',
	mset_main_hbgcolor_arrow='".stripinput($_POST['main_hbgcolor_arrow'])."',
	mset_sub1_bgcolor='".stripinput($_POST['sub1_bgcolor'])."',
	mset_sub2_bgcolor='".stripinput($_POST['sub2_bgcolor'])."',
	mset_sub3_bgcolor='".stripinput($_POST['sub3_bgcolor'])."',
	mset_sub1_hbgcolor='".stripinput($_POST['sub1_hbgcolor'])."',
	mset_sub2_hbgcolor='".stripinput($_POST['sub2_hbgcolor'])."',
	mset_sub3_hbgcolor='".stripinput($_POST['sub3_hbgcolor'])."',
	mset_htextcolor_main='".stripinput($_POST['htextcolor_main'])."',	
	mset_htextcolor_sub1='".stripinput($_POST['htextcolor_sub1'])."',
	mset_htextcolor_sub2='".stripinput($_POST['htextcolor_sub2'])."',
	mset_htextcolor_sub3='".stripinput($_POST['htextcolor_sub3'])."',
  mset_width='".stripinput($_POST['width'])."',
  mset_textsize='".stripinput($_POST['textsize'])."',
  mset_bordercol_sub1='".stripinput($_POST['bordercol_sub1'])."',
  mset_bordercol_sub2='".stripinput($_POST['bordercol_sub2'])."',
  mset_bordercol_sub3='".stripinput($_POST['bordercol_sub3'])."',
  mset_hbordercol_sub1='".stripinput($_POST['hbordercol_sub1'])."',
  mset_hbordercol_sub2='".stripinput($_POST['hbordercol_sub2'])."',
  mset_hbordercol_sub3='".stripinput($_POST['hbordercol_sub3'])."',
  mset_textfont='".stripinput($_POST['textfont'])."'
	");
	redirect(FUSION_SELF.$aidlink."&amp;pagenum=4&amp;status=udtu");
} else {
	$menusettings2 = dbarray(dbquery("SELECT * FROM ".DB_MENU_SETTINGS));
	echo "<div><b><u>".$locale['DDM080']."</u></b><br /><br />".$locale['DDM081']."<br /><br /></div>\n
	<table align='center' class='tbl-border' cellspacing='1'>
    <tr>
      <td class='tbl1'>\n";
	echo "<form name='addmenu' method='post' action='".FUSION_SELF.$aidlink."&amp;pagenum=4'>
	<table align='center' cellspacing='0' cellpadding='2' class='tbl'>
    <tr>
      <td>".$locale['DDM082']."</td>\n
      <td><input type='text' name='main_img' value='".$menusettings2['mset_main_img']."' class='textbox' style='width:200px;' /></td>\n
      <td></td>\n
    </tr>
    <tr>
      <td>".$locale['DDM083']."</td>\n
      <td><input type='text' name='main_himg' value='".$menusettings2['mset_main_himg']."' class='textbox' style='width:200px;' /></td>\n
      <td></td>\n
    </tr>
    <tr>
      <td>".$locale['DDM084']."</td>\n
      <td><input type='text' name='main_arrow_img' value='".$menusettings2['mset_main_arrow_img']."' class='textbox' style='width:200px;' /></td>\n
      <td></td>\n
    </tr>
    <tr>
      <td>".$locale['DDM085']."</td>\n
      <td><input type='text' name='main_arrow_himg' value='".$menusettings2['mset_main_arrow_himg']."' class='textbox' style='width:200px;' /></td>\n
      <td></td>\n
    </tr>
    <tr>
      <td>".$locale['DDM086']."</td>\n
      <td><input type='text' name='sub_arrow_img' value='".$menusettings2['mset_sub_arrow_img']."' class='textbox' style='width:200px;' /></td>\n
      <td></td>\n
    </tr>
    <tr>
      <td>".$locale['DDM087']."</td>\n
      <td><input type='text' name='sub_arrow_himg' value='".$menusettings2['mset_sub_arrow_himg']."' class='textbox' style='width:200px;' /></td>\n
      <td></td>\n
    </tr>

    <tr>
      <td colspan='3'><hr /></td>
    </tr>

    <tr>
      <td>".$locale['DDM088']."</td>\n
      <td>#<input type='text' name='main_bgcolor' value='".$menusettings2['mset_main_bgcolor']."' class='textbox color' /></td>\n
      <td></td>\n
    </tr>
    <tr>
      <td>".$locale['DDM089']."</td>\n
      <td>#<input type='text' name='main_hbgcolor' value='".$menusettings2['mset_main_hbgcolor']."' class='textbox color' /></td>\n
      <td></td>\n
    </tr>
    <tr>
      <td>".$locale['DDM090']."</td>\n
      <td>#<input type='text' name='main_bgcolor_arrow' value='".$menusettings2['mset_main_bgcolor_arrow']."' class='textbox color' /></td>\n
      <td></td>\n
    </tr>
    <tr>
      <td>".$locale['DDM091']."</td>\n
      <td>#<input type='text' name='main_hbgcolor_arrow' value='".$menusettings2['mset_main_hbgcolor_arrow']."' class='textbox color' /></td>\n
      <td></td>\n
    </tr>
    <tr>
      <td>".$locale['DDM092']."</td>\n
      <td>#<input type='text' name='sub1_bgcolor' value='".$menusettings2['mset_sub1_bgcolor']."' class='textbox color' /></td>\n
      <td></td>\n
    </tr>
    <tr>
      <td>".$locale['DDM093']."</td>\n
      <td>#<input type='text' name='sub1_hbgcolor' value='".$menusettings2['mset_sub1_hbgcolor']."' class='textbox color' /></td>\n
      <td></td>\n
    </tr>
    <tr>
      <td>".$locale['DDM094']."</td>\n
      <td>#<input type='text' name='sub2_bgcolor' value='".$menusettings2['mset_sub2_bgcolor']."' class='textbox color' /></td>\n
      <td></td>\n
    </tr>
    <tr>
      <td>".$locale['DDM095']."</td>\n
      <td>#<input type='text' name='sub2_hbgcolor' value='".$menusettings2['mset_sub2_hbgcolor']."' class='textbox color' /></td>\n
      <td></td>\n
    </tr>
    <tr>
      <td>".$locale['DDM096']."</td>\n
      <td>#<input type='text' name='sub3_bgcolor' value='".$menusettings2['mset_sub3_bgcolor']."' class='textbox color' /></td>\n
      <td></td>\n
    </tr>
    <tr>
      <td>".$locale['DDM097']."</td>\n
      <td>#<input type='text' name='sub3_hbgcolor' value='".$menusettings2['mset_sub3_hbgcolor']."' class='textbox color' /></td>\n
      <td></td>\n
    </tr>
    
    <tr>
      <td colspan='3'><hr /></td>
    </tr>

    <tr>
      <td>".$locale['DDM098']."</td>\n
      <td>#<input type='text' name='htextcolor_main' value='".$menusettings2['mset_htextcolor_main']."' class='textbox color' /></td>\n
      <td></td>\n
    </tr>
    <tr>
      <td>".$locale['DDM099']."</td>\n
      <td>#<input type='text' name='htextcolor_sub1' value='".$menusettings2['mset_htextcolor_sub1']."' class='textbox color' /></td>\n
      <td></td>\n
    </tr>
    <tr>
      <td>".$locale['DDM100']."</td>\n
      <td>#<input type='text' name='htextcolor_sub2' value='".$menusettings2['mset_htextcolor_sub2']."' class='textbox color' /></td>\n
      <td></td>\n
    </tr>
    <tr>
      <td>".$locale['DDM101']."</td>\n
      <td>#<input type='text' name='htextcolor_sub3' value='".$menusettings2['mset_htextcolor_sub3']."' class='textbox color' /></td>\n
      <td></td>\n
    </tr>

    <tr>
      <td colspan='3'><hr /></td>
    </tr>

    <tr>
      <td>".$locale['DDM102']."</td>\n
      <td>#<input type='text' name='bordercol_sub1' value='".$menusettings2['mset_bordercol_sub1']."' class='textbox color' /></td>\n
      <td></td>\n
    </tr>
    <tr>
      <td>".$locale['DDM103']."</td>\n
      <td>#<input type='text' name='hbordercol_sub1' value='".$menusettings2['mset_hbordercol_sub1']."' class='textbox color' /></td>\n
      <td></td>\n
    </tr>
    <tr>
      <td>".$locale['DDM104']."</td>\n
      <td>#<input type='text' name='bordercol_sub2' value='".$menusettings2['mset_bordercol_sub2']."' class='textbox color' /></td>\n
      <td></td>\n
    </tr>
    <tr>
      <td>".$locale['DDM105']."</td>\n
      <td>#<input type='text' name='hbordercol_sub2' value='".$menusettings2['mset_hbordercol_sub2']."' class='textbox color' /></td>\n
      <td></td>\n
    </tr>
    <tr>
      <td>".$locale['DDM106']."</td>\n
      <td>#<input type='text' name='bordercol_sub3' value='".$menusettings2['mset_bordercol_sub3']."' class='textbox color' /></td>\n
      <td></td>\n
    </tr>
    <tr>
      <td>".$locale['DDM107']."</td>\n
      <td>#<input type='text' name='hbordercol_sub3' value='".$menusettings2['mset_hbordercol_sub3']."' class='textbox color' /></td>\n
      <td></td>\n
    </tr>

    <tr>
      <td colspan='3'><hr /></td>
    </tr>

    <tr>
      <td>".$locale['DDM108']."</td>\n
      <td><input type='text' name='width' value='".$menusettings2['mset_width']."' class='textbox' /> ".$locale['DDM111']."</td>\n
      <td></td>\n
    </tr>

    <tr>
      <td colspan='3'><hr /></td>
    </tr>

    <tr>
      <td>".$locale['DDM109']."</td>\n
      <td><input type='text' name='textsize' value='".$menusettings2['mset_textsize']."' class='textbox' /> ".$locale['DDM111']."</td>\n
      <td></td>\n
    </tr>
    <tr>
      <td>".$locale['DDM110']."</td>\n
      <td>
        <select name='textfont' class='textbox'>
          <option value='arial'".($menusettings2['mset_textfont'] == 'arial' ? " selected" : "").">Arial</option>
          <option value='verdana'".($menusettings2['mset_textfont'] == 'verdana' ? " selected" : "").">Verdana</option>
          <option value='Helvetica'".($menusettings2['mset_textfont'] == 'Helvetica' ? " selected" : "").">Helvetica</option>
          <option value='sans-serif'".($menusettings2['mset_textfont'] == 'sans-serif' ? " selected" : "").">Sans-Serif</option>
        </select>
      </td>\n
      <td></td>\n
    </tr>

    <tr>
      <td colspan='3'><hr /></td>
    </tr>

    <tr>
      <td align='center' colspan='3'><input type='submit' name='savesettings' value='".$locale['DDM064']."' class='button' /></td>\n
      <td></td>\n
      <td></td>\n
    </tr>
  </table>\n
  </form>\n";

echo "
      </td>\n
    </tr>\n
  </table>\n";
}

//  ============================== Scroll To Top ============================== //
echo "<hr /><div align='right'><a href='#top' title='".$locale['DDM046']."'><b>".$locale['DDM046']."</b>&nbsp;<img src='".INFUSIONS."deluxe_dropdown_menu/images/top.png' style='vertical-align: middle;' alt='".$locale['DDM046']."' title='".$locale['DDM046']."' /></a>\n";

//   PAGE 5 
} else if ((isset($_GET['pagenum']) && $_GET['pagenum'] == "5")) {
//  ============================== Info about Menu ============================== //
	echo "<div>".$locale['DDM120']."</div>\n";
	echo "<br /><hr /><div align='center'><a href='http://www.phpfusion-tips.dk' target='_blank'><img src='".INFUSIONS."deluxe_dropdown_menu/images/phpf_tips_logo.jpg' border='0' alt='".$locale['DDM121']."' title='".$locale['DDM121']."' /></a></div>\n";

  //  ============================== Scroll To Top ============================== //
  echo "<hr /><div align='right'><a href='#top' title='".$locale['DDM046']."'><b>".$locale['DDM046']."</b>&nbsp;<img src='".INFUSIONS."deluxe_dropdown_menu/images/top.png' style='vertical-align: middle;' alt='".$locale['DDM046']."' title='".$locale['DDM046']."' /></a>\n";
}

//  ============================== Outer Table End ============================== //
echo "
      </td>\n
    </tr>\n
  </table>\n";
closetable();

//  ============================== Version Compatibility If Older Then V7.02.XX ============================== //
if ($settings['version'] < "7.02.00") {
  $fusion_page_footer_tags = "";

  function add_to_footer($tag="") {
    global $fusion_page_footer_tags;
	
    if(!stristr($fusion_page_footer_tags, $tag)){
      $fusion_page_footer_tags .= $tag."\n";
    }
  }
}

//  ============================== jQuery Scroll To Top ============================== //
$menu_admin_js  = "<script type='text/javascript'>";
$menu_admin_js .= "/*<![CDATA[*/";
$menu_admin_js .= "jQuery(document).ready(function(){";
$menu_admin_js .= "jQuery('a[href=#top]').click(function(){";
$menu_admin_js .=	"jQuery('html, body').animate({scrollTop:0}, 'slow');";
$menu_admin_js .=	"return false;";
$menu_admin_js .= "});";
$menu_admin_js .= "});";
$menu_admin_js .= "/*]]>*/";
$menu_admin_js .= "</script>";
add_to_footer($menu_admin_js);

require_once THEMES."templates/footer.php";
?>