<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: infusion.php
| Author : Smokeman
| Email: smokeman@esenet.dk
| Web: http://www.phpfusion-tips.dk/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."deluxe_dropdown_menu/infusion_db.php";

if (file_exists(INFUSIONS."deluxe_dropdown_menu/locale/".$settings['locale'].".php")) {
	include INFUSIONS."deluxe_dropdown_menu/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."deluxe_dropdown_menu/locale/English.php";
}

$inf_title = $locale['DDM000'];
$inf_description = $locale['DDM001'];
$inf_version = "1.2";
$inf_developer = "<a href='http://www.phpfusion-tips.dk/' target='_blank'>Smokeman</a><br /><a href='http://www.phpfusion-tips.dk/' target='_blank'><img src='http://www.phpfusion-tips.dk/images/bannere/small_02.gif' alt='PHPFusion-Tips' title='PHPFusion-Tips' style='vertical-align: middle;' border='0' /></a>";
$inf_email = "smokeman@esenet.dk";
$inf_weburl = "http://www.phpfusion-tips.dk/";

$inf_folder = "deluxe_dropdown_menu";

$inf_newtable[1] = DB_MENUS." (
menu_id SMALLINT(5) NOT NULL AUTO_INCREMENT,
menu_cat SMALLINT(5) NOT NULL DEFAULT '0',
menu_name VARCHAR(100) DEFAULT '' NOT NULL,
menu_order SMALLINT(5) NOT NULL DEFAULT '0',
menu_link VARCHAR(200) DEFAULT '' NOT NULL,
menu_access SMALLINT(5) DEFAULT '0' NOT NULL,
menu_window TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
PRIMARY KEY (menu_id)
) ".(strnatcmp(mysql_get_server_info(),'4.0.18') >= 0 ? "ENGINE" : "TYPE")."=MyISAM;";

$inf_newtable[2] = DB_MENU_SETTINGS." (
mset_main_img VARCHAR(100),
mset_main_himg VARCHAR(100),
mset_main_arrow_img VARCHAR(100),
mset_main_arrow_himg VARCHAR(100),
mset_sub_arrow_img VARCHAR(100),
mset_sub_arrow_himg VARCHAR(100),
mset_main_bgcolor VARCHAR(8),
mset_main_hbgcolor VARCHAR(8),
mset_main_bgcolor_arrow VARCHAR(8),
mset_main_hbgcolor_arrow VARCHAR(8),
mset_sub1_bgcolor VARCHAR(8),
mset_sub2_bgcolor VARCHAR(8),
mset_sub3_bgcolor VARCHAR(8),
mset_sub1_hbgcolor VARCHAR(8),
mset_sub2_hbgcolor VARCHAR(8),
mset_sub3_hbgcolor VARCHAR(8),
mset_htextcolor_main VARCHAR(8),
mset_htextcolor_sub1 VARCHAR(8),
mset_htextcolor_sub2 VARCHAR(8),
mset_htextcolor_sub3 VARCHAR(8),
mset_width VARCHAR(100) NOT NULL DEFAULT'170',
mset_textsize CHAR(2),
mset_textfont VARCHAR(100),
mset_bordercol_sub1 VARCHAR(8),
mset_bordercol_sub2 VARCHAR(8),
mset_bordercol_sub3 VARCHAR(8),
mset_hbordercol_sub1 VARCHAR(8),
mset_hbordercol_sub2 VARCHAR(8),
mset_hbordercol_sub3 VARCHAR(8),
mset_set_style TINYINT(1) NOT NULL DEFAULT'0',
mset_templates VARCHAR(100) NOT NULL DEFAULT'Default'
) ".(strnatcmp(mysql_get_server_info(),'4.0.18') >= 0 ? "ENGINE" : "TYPE")."=MyISAM;";

$inf_insertdbrow[1] = DB_MENU_SETTINGS." VALUES ('bg.gif', 'bg_hover.gif', 'bg_arrow.gif', 'bg_arrow_hover.gif', 'side_arrow.gif', 'side_arrow_hover.gif', '4C6510', '628807', '4C6510', '628807', 'BBD37E', 'EBB15F', 'E2D460', '6a812c', 'B77E2D', 'BFAF1D', 'FFFFFF', 'FFFFFF', 'FFFFFF', 'FFFFFF', '170', '11', 'arial',  '5c731e','5c731e', '5c731e', 'FFFFFF', 'FFFFFF', 'FFFFFF', '0', 'Default')";
$inf_insertdbrow[2] = DB_MENUS." VALUES ('1', '0', 'Home', '1', 'index.php', '0', '0')";
$inf_insertdbrow[3] = DB_MENUS." VALUES ('2', '0', 'Community', '2', '', '0', '0')";
$inf_insertdbrow[4] = DB_MENUS." VALUES ('3', '0', 'Main 1', '3', '', '0', '0')";
$inf_insertdbrow[5] = DB_MENUS." VALUES ('20', '15', 'Sub Menu 2', '11', 'index.php', '0', '0')";
$inf_insertdbrow[6] = DB_MENUS." VALUES ('16', '2', 'Articles', '6', 'articles.php', '0', '0')";
$inf_insertdbrow[7] = DB_MENUS." VALUES ('17', '2', 'Forum', '5', 'forum/index.php', '0', '0')";
$inf_insertdbrow[8] = DB_MENUS." VALUES ('18', '2', 'Weblinks', '7', 'weblinks.php', '0', '0')";
$inf_insertdbrow[9] = DB_MENUS." VALUES ('19', '15', 'Sub Menu 2', '10', 'index.php', '0', '0')";
$inf_insertdbrow[10] = DB_MENUS." VALUES ('15', '2', 'News', '4', 'news.php', '0', '0')";
$inf_insertdbrow[11] = DB_MENUS." VALUES ('21', '15', 'Sub Menu 2', '12', 'index.php', '0', '0')";
$inf_insertdbrow[12] = DB_MENUS." VALUES ('22', '20', 'Sub Menu 3', '13', 'index.php', '0', '0')";
$inf_insertdbrow[13] = DB_MENUS." VALUES ('23', '20', 'Sub Menu 3', '14', 'index.php', '0', '0')";
$inf_insertdbrow[14] = DB_MENUS." VALUES ('24', '20', 'Sub Menu 3', '15', 'index.php', '0', '0')";
$inf_insertdbrow[15] = DB_MENUS." VALUES ('25', '3', 'Sub Menu 1', '8', 'index.php', '0', '0')";
$inf_insertdbrow[16] = DB_MENUS." VALUES ('26', '3', 'Sub Menu 1', '9', 'index.php', '0', '0')";
$inf_insertdbrow[17] = DB_MENUS." VALUES ('29', '26', 'Sub Menu 2', '16', 'index.php', '0', '0')";

$inf_adminpanel[1] = array(
	"title" => $locale['DDM000'],
	"image" => "ddm.png",
	"panel" => "administration/menu_admin.php",
	"rights" => "DDM"
);

$inf_droptable[1] = DB_MENUS;
$inf_droptable[2] = DB_MENU_SETTINGS;

?>