<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: English.php
| Author : Smokeman
| Email: smokeman@esenet.dk
| Web: http://www.phpfusion-tips.dk/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
// Infusion titles & description
$locale['DDM000'] = "DeLuxe Dropdown Menu";
$locale['DDM001'] = "Add a Dropdown menu.";
$locale['DDM002'] = "DeLuxe Dropdown Menu v1.2";

// Pagenum Definitions
$locale['DDM010'] = "Menu Items";
$locale['DDM011'] = "Template Settings";
$locale['DDM012'] = "Pre-Installed Templates";
$locale['DDM013'] = "Userdefined Template";
$locale['DDM014'] = "About / Help";

// Index Page
$locale['DDM020'] = "Getting Started Quickly:";
$locale['DDM021'] = "1. Click on &quot;Menu Items&quot; and set Menu Items and Links.";
$locale['DDM022'] = "2. Click on &quot;Template Settings&quot; and choose between &quot;Pre-Installed Templates&quot; and &quot;Userdefined Template&quot;.";
$locale['DDM023'] = "3. If &quot;Userdefined Template&quot; is chosen click then on &quot;Userdefined Template&quot; and customize the design of your needs.";
$locale['DDM024'] = "Menu Example:";

// Pagenum 1
$locale['DDM030'] = "Create Menu Items and Links:";
$locale['DDM031'] = "Below you can create Menu Items and Links.<br />Remember to click &quot;Refresh Order&quot; after creating the links.";
$locale['DDM032'] = "Refresh Order";
$locale['DDM033'] = "Menu Item";
$locale['DDM034'] = "Points at";
$locale['DDM035'] = "Visible for";
$locale['DDM036'] = "Cat.";
$locale['DDM037'] = "Order";
$locale['DDM038'] = "Options";
$locale['DDM039'] = "Base";
$locale['DDM040'] = "Add Top Menu";
$locale['DDM041'] = "Edit";
$locale['DDM042'] = "Delete";
$locale['DDM043'] = "Add Submenu";
$locale['DDM044'] = "Delete menu item ?";
$locale['DDM045'] = "No Menu Items yet...";
$locale['DDM046'] = "Go to top";
$locale['DDM047'] = "Add Menu Item";
$locale['DDM048'] = "Edit Menu Item";
$locale['DDM049'] = "Menu Item:";
$locale['DDM050'] = "Link Address:";
$locale['DDM051'] = "Visible for:";
$locale['DDM052'] = "Category:";
$locale['DDM053'] = "Order:";
$locale['DDM054'] = "Open up link in new window";
$locale['DDM055'] = "Save";

// Pagenum 2
$locale['DDM060'] = "Choose Template type:";
$locale['DDM061'] = "Below you can choose which Template type you want to use.<br />That means whether you want to use one of the pre-installed templates or you want to use your own userdefined template.";
$locale['DDM062'] = "Pre-Installed Templates";
$locale['DDM063'] = "Userdefined Template";
$locale['DDM064'] = "Save Settings";

// Pagenum 3
$locale['DDM070'] = "Choose Template:";
$locale['DDM071'] = "Below you can choose between the pre-installed templates.";

// Pagenum 4
$locale['DDM080'] = "Design your own template:";
$locale['DDM081'] = "Below you can design your own template if not some of the included templates suit you / your site.";
$locale['DDM082'] = "Background image main menu:";
$locale['DDM083'] = "Background image main menu hover:";
$locale['DDM084'] = "Background image main menu (arrow down):";
$locale['DDM085'] = "Background image main menu hover (arrow down):";
$locale['DDM086'] = "Background image submenu (arrow right):";
$locale['DDM087'] = "Background image submenu hover (arrow right):";
$locale['DDM088'] = "Background color main menu:";
$locale['DDM089'] = "Background color main menu hover:";
$locale['DDM090'] = "Background color main menu (arrow down):";
$locale['DDM091'] = "Background color main menu hover (arrow down):";
$locale['DDM092'] = "Background color submenu 1:";
$locale['DDM093'] = "Background color submenu 1 hover:";
$locale['DDM094'] = "Background color submenu 2:";
$locale['DDM095'] = "Background color submenu 2 hover:";
$locale['DDM096'] = "Background color submenu 3:";
$locale['DDM097'] = "Background color submenu 3 hover:";
$locale['DDM098'] = "Text color main menu hover:";
$locale['DDM099'] = "Text color submenu 1 hover:";
$locale['DDM100'] = "Text color submenu 2 hover:";
$locale['DDM101'] = "Text color submenu 3 hover:";
$locale['DDM102'] = "Border color submenu 1:";
$locale['DDM103'] = "Border color submenu 1 hover:";
$locale['DDM104'] = "Border color submenu 2:";
$locale['DDM105'] = "Border color submenu 2 hover:";
$locale['DDM106'] = "Border color submenu 3:";
$locale['DDM107'] = "Border color submenu 3 hover:";
$locale['DDM108'] = "Width submenus:";
$locale['DDM109'] = "Text size:";
$locale['DDM110'] = "Text font:";
$locale['DDM111'] = "px";

// Pagenum 5
$locale['DDM120'] = "<strong><u>About this menu:</u></strong><br /><br />
Name: DeLuxe Dropdown Menu.<br /><br />
Version: 1.2.<br /><br />
Developer: <a href='http://www.phpfusion-tips.dk/profile.php?lookup=1' title='Smokeman' target='_blank'>Smokeman</a>.<br /><br />
Web: <a href='http://www.phpfusion-tips.dk/' title='PHPFusion-Tips.dk' target='_blank'>PHPFusion-Tips.dk</a>.<br /><br />
Coding made by Robert Holm (also called smokeman on PHP-Fusion forums). Do you have any problems with the menu or suggestions for new initiatives or changes, please contact me on the above link where you also can download future versions of the menu and pre-installed templates.<br /> <br /> 
<b><u>Setting up the userdefined template:</u></b><br /><br />
If no background images wanted then just delete the path to the existing background image. <br />Then the menu will instead use the defined background colors.<br /><br />
Remember to press the link &quot;Update order&quot; after creating the links.<br /><br />
<b><u>Inserting links:</u></b><br /><br />
Internal link for example www.yoursite.com/contact.php enrolled as: contact.php<br /><br />
Internt link for example www.yoursite.com/forum/index.php enrolled as: forum/index.php<br /><br />
Internt link to example www.google.com enrolled as: http://www.google.com<br /><br />
You can use BB Codes on all Menu Items and links and style your links as you want to - images / icons / colors / text formats and so on.<br /><br />
Insert a horizontal line by typing <b>---</b>  in the fields &quot;Menu item&quot; and &quot;Link Address&quot;.
<br /><br />
<b><u>Download more templates:</u></b><br /><br /><a href='http://www.phpfusion-tips.dk/infusions/pro_download_panel/download.php?catid=44' target='_blank'>Go to download</a>.
<br /><br />
<b><u>Planned for next release:</u></b><br /><br />
 - Dropdown with 5 submenus / levels.<br /><br />
 - Several pre-installed templates to choose from.<br /><br />
 - Give users the ability to change template on the menu through cookies.<br /><br />
 - Drag & Drop on Menu Items / Menu Links.<br /><br />
 - ?
<br /><br />
<b><u>Credits:</u></b><br /><br />
 - <a href='http://www.php-fusion.co.uk/' title='PHP-Fusion' target='_blank'>PHP-Fusion</a>: Thanks for a great CMS-system.<br /><br />
 - <a href='http://www.stunicholls.com/' title='Stunicholls' target='_blank'>Stunicholls.com</a>: JavaSript used for the menu.<br /><br />
 - <a href='http://www.jscolor.com/' title='JSColor' target='_blank'>JSColor.com</a>: JavaSript used for the color picker.<br /><br />
 - <a href='http://www.lemvig.info/test7/' title='TNGrafik' target='_blank'>Tony (TNGrafik)</a>: Thanks to Tony for making the template &quot;TN_Grafik.&quot;<br /><br />
  - <a href='http://www.php-fusion.dk/profile.php?lookup=6708' title='flj' target='_blank'>Flemming (flj)</a>: SQL-Optimization.<br />";
$locale['DDM121'] = "Powered by PHPFusion-Tips.dk";

// Status Messages
$locale['DDM130'] = "Menu Item added.";
$locale['DDM131'] = "Menu Item opdateret.";
$locale['DDM132'] = "Menu Item slettet.";
$locale['DDM133'] = "Could not delete Menu Item! There are submenus associated with the menu.";
$locale['DDM134'] = "Template settings updated.";
$locale['DDM135'] = "Userdefined template updated.";
$locale['DDM136'] = "Pre-Installed template updated.";
$locale['DDM137'] = "Order updated.";

?>